Skip to main content
GET
Get sync log by ID

Authorizations

X-API-Key
string
header
required

API key for the Qontext API

Path Parameters

workspaceId
string
required

The unique identifier of the workspace the sync log belongs to.

Example:

"ws_123e4567-e89b-12d3-a456-426614174000"

id
string
required

The unique identifier of the sync log.

Example:

"sync_42a17e56-b98d-4fd9-b2ce-5a8b12d7f9ad"

Response

Sync log successfully fetched

id
object
required

Unique identifier for the sync log

Example:

"sync_123e4567-e89b-12d3-a456-426614174000"

ingestionPipelineId
string
required

ID of the ingestion pipeline this sync log belongs to

Example:

"pipe_123e4567-e89b-12d3-a456-426614174000"

workspaceId
string
required

ID of the workspace this sync log belongs to

Example:

"ws_123e4567-e89b-12d3-a456-426614174000"

type
enum<string>
required

Type of sync operation

Available options:
full_sync,
live_sync,
incremental_sync
Example:

"full_sync"

status
enum<string>
required

Status of the sync operation

Available options:
pending,
preparing,
data_fetching,
ingesting,
completed,
failed,
stopped,
skipped
Example:

"completed"

startedAt
object
required

When the sync operation started

Example:

"2021-01-01T00:00:00.000Z"

completedAt
object
required

When the sync operation completed

Example:

"2021-01-01T00:00:00.000Z"

errorMessage
object
required

Error message if the sync operation failed

Example:

"Failed to connect to data source"

userFacingErrorMessage
object
required

User-facing error message shown in the UI when a sync fails due to a permanent issue

Example:

"This website is not supported and cannot be synced."

temporalWorkflowId
object
required

Temporal workflow ID for this sync

Example:

"sync-sync_123e4567-e89b-12d3-a456-426614174000"

temporalRunId
object
required

Temporal workflow run ID for this sync

Example:

"run_123e4567-e89b-12d3-a456-426614174000"

preparationMetadata
object
required

Preparation metadata including record type counts

Example:
totalRecordsToIngest
object
required

Total number of records that need to be ingested

Example:

1800

recordsIngested
object
required

Number of records successfully ingested

Example:

450

preparationCompletedAt
object
required

When the preparation step was completed

Example:

"2021-01-01T00:00:00.000Z"

minDate
object
required

The minimum date for the sync operation. Only records changed after this date will be synced.

Example:

"2021-01-01T00:00:00.000Z"

correlationId
object
required

Correlation ID (W3C trace-id) for end-to-end tracing

Example:

"4fd0b6c2a4d1e0f8a2b9c3d4e5f60718"

createdAt
object
required

The date and time the sync log was created

Example:

"2021-01-01T00:00:00.000Z"

updatedAt
object
required

The date and time the sync log was last updated

Example:

"2021-01-01T00:00:00.000Z"